# == Schema Information
#
# Table name: pastings
#
#  id             :bigint           not null, primary key
#  pasteable_type :string(255)
#  pasteable_id   :bigint
#  pasted_type    :string(255)
#  pasted_id      :bigint
#  type           :string(255)
#  created_at     :datetime         not null
#  updated_at     :datetime         not null
#  pasting_type   :string(255)
#
# Indexes
#
#  index_pastings_on_pasteable_type_and_pasteable_id  (pasteable_type,pasteable_id)
#  index_pastings_on_pasted_type_and_pasted_id        (pasted_type,pasted_id)
#  index_pastings_on_type                             (type)
#
module ActsAsPasting
  class Pasting < ApplicationRecord
    self.inheritance_column = :_type_disabled

    belongs_to :pasteable, polymorphic: true
    belongs_to :pasted, polymorphic: true
  end
end
